core.register_on_placenode(function(pos, newnode, player)
	if player and player:is_player() and core.is_creative_enabled(player:get_player_name()) then
		return true
	end
end)
core.register_on_joinplayer(function(player)
	if core.is_creative_enabled(player:get_player_name()) then
		player:set_inventory_formspec("formspec_version[6]size[10.75,5.75]list[current_player;main;0.5,0.5;8,4]")
	end
end)
